#!/bin/bash

download(){
    local DATASET="$1"    
    local file_list="$2"

    mkdir "$DATASET"
    while read url; do
        (cd "$DATASET" && curl -O "$url")
    done < "$file_list"
}

DATASETS=("cxidb_ID106_C1_Zaf_P21" "cxidb_ID107_C1_Zaf_P1" "zenodo_6RZ4_CysLT1R" "zenodo_6RZ6_CysLT2R" "zenodo_6RZ7_CysLT2R" "zenodo_6RZ8_CysLT2R" "zenodo_6RZ9_CysLT2R")
LISTS=("cxidb_id106.txt" "cxidb_id107.txt" "zenodo_cyslt1r_6RZ4.txt" "zenodo_cyslt2r_6RZ6.txt" "zenodo_cyslt2r_6RZ7.txt" "zenodo_cyslt2r_6RZ8.txt" "zenodo_cyslt2r_6RZ9.txt")

for i in `seq 0 1 7`; do
    echo "Downloading: ${DATASETS[$i]} ${LISTS[$i]}" 
    download ${DATASETS[$i]} ${LISTS[$i]}
done |& tee download.log