#!/bin/bash

cp XSCALE.INP XSCALE.INP.reject_backup
echo "MAXIMUM_NUMBER_OF_PROCESSORS= 80" >> xscale.inp
ls */XDS_ASCII.HKL > xscale.inp
sed -e 's/^/INPUT_FILE= /g' xscale.inp | sed -e 's/$/\nINCLUDE_RESOLUTION_RANGE= 30 2.5/' > XSCALE.INP.reject_0
echo "OUTPUT_FILE= scaled_nonmerged.HKL" > XSCALE.INP
echo "MERGE= FALSE" >> XSCALE.INP
echo "!REFERENCE_DATA_SET= reference.HKL" >> XSCALE.INP
echo "" >> XSCALE.INP
cat XSCALE.INP.reject_0 >> XSCALE.INP

cp XSCALE.INP XSCALE.INP.reject_0

for i in `seq 1 1 5`; do
	xscale_par
	cp XSCALE.LP{,_$i}
	./xdscc12 scaled_nonmerged.HKL -dmin 30.0 -dmax 10.0 -nbin 7 > XDSCC.LP
	python xdscc.py XDSCC.LP 1.0 |& tee log.xdscc_"$i"
	cp good.xdscc xscale.inp_"$i"
	sed -e 's/^/INPUT_FILE= /g' xscale.inp_"$i" | sed -e 's/$/\nINCLUDE_RESOLUTION_RANGE= 30 2.5/' > XSCALE.INP.reject_"$i"
	echo "MAXIMUM_NUMBER_OF_PROCESSORS= 80" >> XSCALE.INP
	echo "OUTPUT_FILE= scaled_nonmerged.HKL" > XSCALE.INP
	echo "MERGE= FALSE" >> XSCALE.INP
	echo "!REFERENCE_DATA_SET= reference.HKL" >> XSCALE.INP
	echo "" >> XSCALE.INP
	cat XSCALE.INP.reject_"$i" >> XSCALE.INP
	cp scaled_nonmerged.HKL reference.HKL
done

for i in `seq 6 1 9`; do
	xscale_par
	cp XSCALE.LP{,_$i}
	./xdscc12 scaled_nonmerged.HKL -dmin 10.0 -dmax 2.5 -nbin 15 > XDSCC.LP
	python xdscc.py XDSCC.LP 1.0 |& tee log.xdscc_"$i"
	cp good.xdscc xscale.inp_"$i"
	sed -e 's/^/INPUT_FILE= /g' xscale.inp_"$i" | sed -e 's/$/\nINCLUDE_RESOLUTION_RANGE= 30 2.5/' > XSCALE.INP.reject_"$i"
	echo "MAXIMUM_NUMBER_OF_PROCESSORS= 80" >> XSCALE.INP
	echo "OUTPUT_FILE= scaled_nonmerged.HKL" > XSCALE.INP
	echo "MERGE= FALSE" >> XSCALE.INP
	echo "!REFERENCE_DATA_SET= reference.HKL" >> XSCALE.INP
	echo "" >> XSCALE.INP
	cat XSCALE.INP.reject_"$i" >> XSCALE.INP
	cp scaled_nonmerged.HKL reference.HKL
done

