#!/bin/bash

time=$(date "+%Y_%m_%d_%H_%M_%S")

PROJECT_NAME="protein"
NPROC=`nproc`

# PEAK FINDING PARAMETERS
SNR='4.4'
THRESHOLD='20'
HIGHRES='3.0'

LST='c1_events.lst'
CELL='c1_v1.pdb'

#shuf "$LST" | head -n 1000 > input.lst # your list must have events to enable this
shuf "$LST" > input.lst # your list must have events to enable this

GEOM="initial_v1.geom"


ln -f -s "streams/"$PROJECT_NAME"_${time}.stream" laststream
indexamajig -i input.lst \
--temp-dir=scratch \
-o "streams/"$PROJECT_NAME"_${time}.stream" \
\
-g "$GEOM" \
--peaks=peakfinder8 \
-j "$NPROC" \
--min-snr="$SNR" \
--threshold="$THRESHOLD" \
--highres="$HIGHRES" \
--max-res=300 \
--min-res=80 \
 \
-p "$CELL" \
--check-peaks \
 \
 --multi \
--indexing=dirax,xds,asdf,taketwo,xgandalf |& tee logs/log.indexamajig_${time}

